Subject: [stir] URN SOS

From: Russ Housley <[email-masked]>
Date: Sat, 21 Dec 2019 16:26:08 -0500

At the session at IETF 106, there was a suggestion that a URN SOS be defined.  I am sending this note to start a discussion on that topic.

Russ

---

From: Richard Barnes <[email-masked]>
Date: Sun, 22 Dec 2019 16:38:54 -0400

Not sure if this is what you’re thinking of, or if this has already been
mentioned, but: urn:service:sos exists.

https://tools.ietf.org/html/rfc5031

On Sat, Dec 21, 2019 at 17:26 Russ Housley <[email-masked]> wrote:

> At the session at IETF 106, there was a suggestion that a URN SOS be
> defined.  I am sending this note to start a discussion on that topic.
>
> Russ
> _______________________________________________
> stir mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/stir
>

---

From: Russ Housley <[email-masked]>
Date: Sun, 22 Dec 2019 16:14:40 -0500

Richard:

It seems to meet the need that was raised in the discussion.  Others can comment if I missed some important context.

Russ

> On Dec 22, 2019, at 3:38 PM, Richard Barnes <[email-masked]> wrote:
> 
> Not sure if this is what you’re thinking of, or if this has already been mentioned, but: urn:service:sos exists. 
> 
> https://tools.ietf.org/html/rfc5031 <https://tools.ietf.org/html/rfc5031>
> 
> On Sat, Dec 21, 2019 at 17:26 Russ Housley <[email-masked] <mailto:[email-masked]>> wrote:
> [email-masked] <mailto:[email-masked]>
> https://www.ietf.org/mailman/listinfo/stir <https://www.ietf.org/mailman/listinfo/stir>

---

From: Anders Kristensen <[email-masked]>
Date: Mon, 23 Dec 2019 06:02:43 -0800

May have to do with the fact that RFC 8224 does not cover URNs:

1 <https://tools.ietf.org/html/rfc8224#section-1>.  Introduction

   This document provides enhancements to the existing mechanisms for
   authenticated identity management in the Session Initiation Protocol
   (SIP) [RFC3261 <https://tools.ietf.org/html/rfc3261>].  An
identity, for the purposes of this document, is
   defined as either

   o  a canonical address-of-record (AoR) SIP URI employed to reach a
      user (such as "sip:[email-masked]") or

   o  a telephone number, which commonly appears either in a tel URI
      [RFC3966 <https://tools.ietf.org/html/rfc3966>] or as the user
portion of a SIP URI.

On Sun, Dec 22, 2019 at 1:14 PM Russ Housley <[email-masked]> wrote:

> Richard:
>
> It seems to meet the need that was raised in the discussion.  Others can
> comment if I missed some important context.
>
> Russ
>
>

---

From: "DOLLY, MARTIN C" <[email-masked]>
Date: Mon, 23 Dec 2019 14:30:07 +0000

That is the issue

From: stir <[email-masked]> On Behalf Of Anders Kristensen
Sent: Monday, December 23, 2019 9:03 AM
To: Russ Housley <[email-masked]>
Cc: Richard Barnes <[email-masked]>; IETF STIR Mail List <[email-masked]>
Subject: Re: [stir] URN SOS

1<https://urldefense.proofpoint.com/v2/url?u=https-3A__tools.ietf..org_html_rfc8224-23section-2D1&d=DwMFaQ&c=LFYZ-o9_HUMeMTSQicvjIg&r=G9v8uCSSQhCmpw7ItG0r2g&m=nSWcan3mP9r5CTH5zJyEZCeFO3Z8w8-4nrJYDic1WcI&s=Tk4N6eKYTBqJKGNrvrZTJDr0bbSz9E0HNLddXIZ21II&e=>.  Introduction

   (SIP) [RFC3261<https://urldefense.proofpoint.com/v2/url?u=https-3A__tools.ietf.org_html_rfc3261&d=DwMFaQ&c=LFYZ-o9_HUMeMTSQicvjIg&r=G9v8uCSSQhCmpw7ItG0r2g&m=nSWcan3mP9r5CTH5zJyEZCeFO3Z8w8-4nrJYDic1WcI&s=U5Av4QjzboXRodGD6JOjFAFlQwF6RYP40m0L0ES3t4w&e=>].  An identity, for the purposes of this document, is

   defined as either

      user (such as "sip:[email-masked]<mailto:[email-masked]>") or

      [RFC3966<https://urldefense.proofpoint.com/v2/url?u=https-3A__tools.ietf.org_html_rfc3966&d=DwMFaQ&c=LFYZ-o9_HUMeMTSQicvjIg&r=G9v8uCSSQhCmpw7ItG0r2g&m=nSWcan3mP9r5CTH5zJyEZCeFO3Z8w8-4nrJYDic1WcI&s=aSVM0a9fjUZt4y0YIdtKOwWlfUUyuINQyR9PPsbTrgA&e=>] or as the user portion of a SIP URI.

On Sun, Dec 22, 2019 at 1:14 PM Russ Housley <[email-masked]<mailto:[email-masked]>> wrote:
Richard:

Russ

On Dec 22, 2019, at 3:38 PM, Richard Barnes <[email-masked]<mailto:[email-masked]>> wrote:

https://tools.ietf.org/html/rfc5031<https://urldefense.proofpoint.com/v2/url?u=https-3A__tools.ietf.org_html_rfc5031&d=DwMFaQ&c=LFYZ-o9_HUMeMTSQicvjIg&r=G9v8uCSSQhCmpw7ItG0r2g&m=nSWcan3mP9r5CTH5zJyEZCeFO3Z8w8-4nrJYDic1WcI&s=gSVpeqb1jm_FaYBWEHsDsNeLhl0pCMmmvXXel5E4pkQ&e=>

On Sat, Dec 21, 2019 at 17:26 Russ Housley <[email-masked]<mailto:[email-masked]>> wrote:
At the session at IETF 106, there was a suggestion that a URN SOS be defined.  I am sending this note to start a discussion on that topic.

Russ
_______________________________________________
stir mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/stir<https://urldefense.proofpoint.com/v2/url?u=https-3A__www.ietf.org_mailman_listinfo_stir&d=DwMFaQ&c=LFYZ-o9_HUMeMTSQicvjIg&r=G9v8uCSSQhCmpw7ItG0r2g&m=nSWcan3mP9r5CTH5zJyEZCeFO3Z8w8-4nrJYDic1WcI&s=1Y9mWTHR88eP0l_6CjPk97TUduNz67zhZD_xOMT4EZE&e=>
_______________________________________________
stir mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/stir<https://urldefense.proofpoint.com/v2/url?u=https-3A__www.ietf.org_mailman_listinfo_stir&d=DwMFaQ&c=LFYZ-o9_HUMeMTSQicvjIg&r=G9v8uCSSQhCmpw7ItG0r2g&m=nSWcan3mP9r5CTH5zJyEZCeFO3Z8w8-4nrJYDic1WcI&s=1Y9mWTHR88eP0l_6CjPk97TUduNz67zhZD_xOMT4EZE&e=>

_______________________________________________
stir mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/stir<https://urldefense.proofpoint.com/v2/url?u=https-3A__www.ietf.org_mailman_listinfo_stir&d=DwMFaQ&c=LFYZ-o9_HUMeMTSQicvjIg&r=G9v8uCSSQhCmpw7ItG0r2g&m=nSWcan3mP9r5CTH5zJyEZCeFO3Z8w8-4nrJYDic1WcI&s=1Y9mWTHR88eP0l_6CjPk97TUduNz67zhZD_xOMT4EZE&e=>

---

From: Paul Kyzivat <[email-masked]>
Date: Mon, 23 Dec 2019 10:09:22 -0500

> May have to do with the fact that RFC 8224 does not cover URNs:

If the problem is that URNs aren't covered, then how would replacing 
urn:service:sos with urn:sos solve the problem???

The use of urn:service:sos is institutionalized now in a lot of 
documents. Changing that seems like a hard problem. How about fixing RFC 
8224?

	Thanks,
	Paul

>     1 <https://tools.ietf..org/html/rfc8224#section-1>. Introduction
> 
> 
> 
>     (SIP) [RFC3261  <https://tools.ietf.org/html/rfc3261>].  An identity, for the purposes of this document, is
>     defined as either
> 
>        user (such as "sip:[email-masked]  <mailto:[email-masked]>") or
> 
>        [RFC3966  <https://tools.ietf.org/html/rfc3966>] or as the user portion of a SIP URI.
> 
> 
>     It seems to meet the need that was raised in the discussion.  Others
>     can comment if I missed some important context.
> 
>     Russ
> 
> 
>>     Not sure if this is what you’re thinking of, or if this has
>>     already been mentioned, but: urn:service:sos exists.
>>
>>         At the session at IETF 106, there was a suggestion that a URN
>>         SOS be defined.  I am sending this note to start a discussion
>>         on that topic.
>>
>>         Russ

---

From: "DOLLY, MARTIN C" <[email-masked]>
Date: Mon, 23 Dec 2019 16:51:59 +0000

Paul

That is what was discussed in the meeting

Regards

Martin C. Dolly
Lead Member of Technical Staff
Government & Services Standards
AT&T
Cell: +1.609.903.3360<tel:+1.609.903.3360>
Email: [email-masked]<mailto:[email-masked]>

On Dec 23, 2019, at 10:09 AM, Paul Kyzivat <[email-masked]<mailto:[email-masked]>> wrote:

If the problem is that URNs aren't covered, then how would replacing urn:service:sos with urn:sos solve the problem???

The use of urn:service:sos is institutionalized now in a lot of documents. Changing that seems like a hard problem. How about fixing RFC 8224?

   Thanks,
   Paul

   1 <https://urldefense.proofpoint.com/v2/url?u=https-3A__tools.ietf..org_html_rfc8224-23section-2D1&d=DwIGaQ&c=LFYZ-o9_HUMeMTSQicvjIg&r=G9v8uCSSQhCmpw7ItG0r2g&m=LlWDlfhDO4Vkx9MdBi1k_YjkLmARgGgAlH6FjS6mDmc&s=VQ2OV0oQ5RymRKh71MqRjUjZoVwk433iXVncEctnZLU&e= >. Introduction
   This document provides enhancements to the existing mechanisms for
   authenticated identity management in the Session Initiation Protocol
   (SIP) [RFC3261  <https://urldefense.proofpoint.com/v2/url?u=https-3A__tools.ietf.org_html_rfc3261&d=DwIGaQ&c=LFYZ-o9_HUMeMTSQicvjIg&r=G9v8uCSSQhCmpw7ItG0r2g&m=LlWDlfhDO4Vkx9MdBi1k_YjkLmARgGgAlH6FjS6mDmc&s=BGjbtQQGGuj4m4lgJ-bpTO2NmEkBs6vCssCmUena32c&e= >].  An identity, for the purposes of this document, is
   defined as either
   o  a canonical address-of-record (AoR) SIP URI employed to reach a
      user (such as "sip:[email-masked]  <mailto:[email-masked]>") or
   o  a telephone number, which commonly appears either in a tel URI
      [RFC3966  <https://urldefense.proofpoint.com/v2/url?u=https-3A__tools.ietf.org_html_rfc3966&d=DwIGaQ&c=LFYZ-o9_HUMeMTSQicvjIg&r=G9v8uCSSQhCmpw7ItG0r2g&m=LlWDlfhDO4Vkx9MdBi1k_YjkLmARgGgAlH6FjS6mDmc&s=dHRjXLr5_Y_dbtfZ8PvYXJTxJNDbByiejlPvh89HYLU&e= >] or as the user portion of a SIP URI.
On Sun, Dec 22, 2019 at 1:14 PM Russ Housley <[email-masked]<mailto:[email-masked]> <mailto:[email-masked]>> wrote:
   Richard:
   It seems to meet the need that was raised in the discussion.  Others
   can comment if I missed some important context.
   Russ
   On Dec 22, 2019, at 3:38 PM, Richard Barnes <[email-masked]<mailto:[email-masked]>
   <mailto:[email-masked]>> wrote:

   https://urldefense.proofpoint.com/v2/url?u=https-3A__tools.ietf.org_html_rfc5031&d=DwIGaQ&c=LFYZ-o9_HUMeMTSQicvjIg&r=G9v8uCSSQhCmpw7ItG0r2g&m=LlWDlfhDO4Vkx9MdBi1k_YjkLmARgGgAlH6FjS6mDmc&s=YFxpwD-sFZG8qj0YD1Q3dYHCnMgjeMIRRHjMWcakYeI&e=

   On Sat, Dec 21, 2019 at 17:26 Russ Housley <[email-masked]<mailto:[email-masked]>
   <mailto:[email-masked]>> wrote:

       Russ
       _______________________________________________
       stir mailing list
       [email-masked]<mailto:[email-masked]> <mailto:[email-masked]>
       https://urldefense.proofpoint.com/v2/url?u=https-3A__www.ietf.org_mailman_listinfo_stir&d=DwIGaQ&c=LFYZ-o9_HUMeMTSQicvjIg&r=G9v8uCSSQhCmpw7ItG0r2g&m=LlWDlfhDO4Vkx9MdBi1k_YjkLmARgGgAlH6FjS6mDmc&s=AzNKVu9D7KOUqyaaebb1l-WkXrq-sBd4hBOP1NZESsU&e=
   _______________________________________________
   stir mailing list
   [email-masked]<mailto:[email-masked]> <mailto:[email-masked]>
   https://urldefense.proofpoint.com/v2/url?u=https-3A__www.ietf.org_mailman_listinfo_stir&d=DwIGaQ&c=LFYZ-o9_HUMeMTSQicvjIg&r=G9v8uCSSQhCmpw7ItG0r2g&m=LlWDlfhDO4Vkx9MdBi1k_YjkLmARgGgAlH6FjS6mDmc&s=AzNKVu9D7KOUqyaaebb1l-WkXrq-sBd4hBOP1NZESsU&e=
   _______________________________________________
   stir mailing list
   [email-masked]<mailto:[email-masked]> <mailto:[email-masked]>
   https://urldefense.proofpoint.com/v2/url?u=https-3A__www.ietf.org_mailman_listinfo_stir&d=DwIGaQ&c=LFYZ-o9_HUMeMTSQicvjIg&r=G9v8uCSSQhCmpw7ItG0r2g&m=LlWDlfhDO4Vkx9MdBi1k_YjkLmARgGgAlH6FjS6mDmc&s=AzNKVu9D7KOUqyaaebb1l-WkXrq-sBd4hBOP1NZESsU&e= _______________________________________________
stir mailing list
[email-masked]<mailto:[email-masked]>
https://urldefense.proofpoint.com/v2/url?u=https-3A__www.ietf.org_mailman_listinfo_stir&d=DwIGaQ&c=LFYZ-o9_HUMeMTSQicvjIg&r=G9v8uCSSQhCmpw7ItG0r2g&m=LlWDlfhDO4Vkx9MdBi1k_YjkLmARgGgAlH6FjS6mDmc&s=AzNKVu9D7KOUqyaaebb1l-WkXrq-sBd4hBOP1NZESsU&e=

_______________________________________________
stir mailing list
[email-masked]<mailto:[email-masked]>
https://urldefense.proofpoint.com/v2/url?u=https-3A__www.ietf.org_mailman_listinfo_stir&d=DwIGaQ&c=LFYZ-o9_HUMeMTSQicvjIg&r=G9v8uCSSQhCmpw7ItG0r2g&m=LlWDlfhDO4Vkx9MdBi1k_YjkLmARgGgAlH6FjS6mDmc&s=AzNKVu9D7KOUqyaaebb1l-WkXrq-sBd4hBOP1NZESsU&e=

---

From: Paul Kyzivat <[email-masked]>
Date: Mon, 23 Dec 2019 12:41:54 -0500

> That is what was discussed in the meeting

If it is to be discussed on this list, then can some of the context be 
brought here to the list as well?

	Thanks,
	Paul

> Cell: +1.609.903.3360 <tel:+1.609.903.3360>
> 
> Email: [email-masked] <mailto:[email-masked]>
> 
> 
>> documents. Changing that seems like a hard problem. How about fixing 
>> RFC 8224?
>>
>>    Thanks,
>>    Paul
>>
>>>    1 
>>> <https://urldefense.proofpoint.com/v2/url?u=https-3A__tools.ietf..org_html_rfc8224-23section-2D1&d=DwIGaQ&c=LFYZ-o9_HUMeMTSQicvjIg&r=G9v8uCSSQhCmpw7ItG0r2g&m=LlWDlfhDO4Vkx9MdBi1k_YjkLmARgGgAlH6FjS6mDmc&s=VQ2OV0oQ5RymRKh71MqRjUjZoVwk433iXVncEctnZLU&e= 
>>> >. Introduction
>>>    (SIP) [RFC3261 
>>>  <https://urldefense.proofpoint.com/v2/url?u=https-3A__tools.ietf.org_html_rfc3261&d=DwIGaQ&c=LFYZ-o9_HUMeMTSQicvjIg&r=G9v8uCSSQhCmpw7ItG0r2g&m=LlWDlfhDO4Vkx9MdBi1k_YjkLmARgGgAlH6FjS6mDmc&s=BGjbtQQGGuj4m4lgJ-bpTO2NmEkBs6vCssCmUena32c&e= 
>>> >].  An identity, for the purposes of this document, is
>>>    defined as either
>>>       user (such as "sip:[email-masked] 
>>>  <mailto:[email-masked]>") or
>>>       [RFC3966 
>>>  <https://urldefense.proofpoint.com/v2/url?u=https-3A__tools.ietf.org_html_rfc3966&d=DwIGaQ&c=LFYZ-o9_HUMeMTSQicvjIg&r=G9v8uCSSQhCmpw7ItG0r2g&m=LlWDlfhDO4Vkx9MdBi1k_YjkLmARgGgAlH6FjS6mDmc&s=dHRjXLr5_Y_dbtfZ8PvYXJTxJNDbByiejlPvh89HYLU&e= 
>>> >] or as the user portion of a SIP URI.
>>> On Sun, Dec 22, 2019 at 1:14 PM Russ Housley <[email-masked] 
>>> <mailto:[email-masked]> <mailto:[email-masked]>> wrote:
>>>    Richard:
>>>> [email-masked] <mailto:[email-masked]> <mailto:[email-masked]>
>>>> [email-masked] <mailto:[email-masked]> <mailto:[email-masked]>
>>> [email-masked] <mailto:[email-masked]> <mailto:[email-masked]>